﻿package com.bjsxt;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/**
 * <b style = "font-size:15px;">用于获得与数据库的连接以及关闭连接</b>
 * @author 郑锦宗
 * @version v1.0
 */
public class DBUtil {
	private static final String DRIVER="com.mysql.jdbc.Driver";
	private static final String	USER="root";
	private static final String PWD="root";
	private static final String URL="jdbc:mysql://localhost:3306/test?useUnicode=true&characterEncoding=utf8";
	
	private static Connection conn=null;
	//定义一个数据库连接
	private static ThreadLocal<Connection> tl = new ThreadLocal<Connection>() {
		protected Connection initialValue() {
			try {
				Class.forName(DRIVER);
				
				if(conn==null){
					conn=DriverManager.getConnection(URL, USER, PWD);
				}
				
				try {
					Thread.sleep(500);
				} catch (InterruptedException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			} catch (ClassNotFoundException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (SQLException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			return conn;
		}
	};
	
	//获取连接
	public static Connection getConnection(){
		return tl.get();
	}
	//关闭连接的方法
	public static void colseConnection(){
		if (conn!=null) {
			try {
				conn.close();
			
			} catch (SQLException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			
		}
	}
	public static void main(String[] args) {
		System.out.println(getConnection());
	}
}
